=== debian/changelog ===
ros-iron-nav2-system-tests (1.2.2-2jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Carlos Orduno <carlos.a.orduno@intel.com>  Mon, 11 Sep 2023 03:38:06 -0000
