=== debian/control ===
Source: ros-iron-nav2-system-tests
Section: misc
Priority: optional
Maintainer: Carlos Orduno <carlos.a.orduno@intel.com>
Build-Depends: debhelper (>= 9.0.0), python3-zmq <!nocheck>, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-gazebo-ros-pkgs, ros-iron-geometry-msgs, ros-iron-launch <!nocheck>, ros-iron-launch-ros, ros-iron-launch-ros <!nocheck>, ros-iron-launch-testing, ros-iron-launch-testing <!nocheck>, ros-iron-nav-msgs, ros-iron-nav2-amcl, ros-iron-nav2-behavior-tree, ros-iron-nav2-common, ros-iron-nav2-lifecycle-manager, ros-iron-nav2-map-server, ros-iron-nav2-msgs, ros-iron-nav2-navfn-planner, ros-iron-nav2-planner, ros-iron-nav2-util, ros-iron-rclcpp, ros-iron-rclpy, ros-iron-std-msgs, ros-iron-tf2-geometry-msgs, ros-iron-visualization-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-nav2-system-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lcov, ros-iron-gazebo-ros-pkgs, ros-iron-geometry-msgs, ros-iron-launch-ros, ros-iron-launch-testing, ros-iron-nav-msgs, ros-iron-nav2-amcl, ros-iron-nav2-behavior-tree, ros-iron-nav2-bringup, ros-iron-nav2-lifecycle-manager, ros-iron-nav2-map-server, ros-iron-nav2-msgs, ros-iron-nav2-navfn-planner, ros-iron-nav2-planner, ros-iron-nav2-util, ros-iron-navigation2, ros-iron-rclcpp, ros-iron-rclpy, ros-iron-robot-state-publisher, ros-iron-std-msgs, ros-iron-tf2-geometry-msgs, ros-iron-visualization-msgs, ros-iron-ros-workspace
Description: TODO
